#include "stdafx.h"
#include "resource.h"
#include "FDDStd253.h"

#include "Platform.h"

CFDDStd253::CFDDStd253()
{
	m_aBoardRomList[0] = { IDS_INI_FDR253, KNGMD_FDDROM_BNK };
}


CFDDStd253::~CFDDStd253()
{
}

BK_BOARD_MODEL CFDDStd253::GetBoardModel()
{
	return DEV_MPI_STD_253;
}

bool CFDDStd253::InitDevice(uint16_t addrStart)
{
	bool bRet = CFDDStd326::InitDevice(addrStart);

	if (bRet)
	{
		//253 прошивка, там нету перехода к эмулятору EIS/FIS
		g_Platform.SetInterseptAddress(0160422, 0161540);
	}

	return bRet;
}
